##
## Copyright (c) 2021 The Yaook Authors.
##
## This file is part of Yaook.
## See https://yaook.cloud for further info.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##
apiVersion: yaook.cloud/v1
kind: KeystoneEndpoint
metadata:
  name: heat-api-endpoint
spec:
  keystoneRef:
    name: {{ dependencies['keystone'].resource_name() }}
    kind: {{ crd_spec.keystoneRef.kind }}
  servicename: heat
  description: "OpenStack Orchestration"
  servicetype: orchestration
  endpoints:

    public: {{ "https://{}:{:d}/v1/%(tenant_id)s".format(crd_spec.api.ingress.fqdn, crd_spec.api.ingress.port) }}
    admin: {{ "https://heat-api.{}.svc:8004/v1/%(tenant_id)s".format(namespace) }}
{% if crd_spec.api.internal | default(False) %}
    internal: {{ "https://{}:{:d}/v1/%(tenant_id)s".format(crd_spec.api.internal.ingress.fqdn, crd_spec.api.internal.ingress.port) }}
{% else %}
    internal: {{ "https://heat-api.{}.svc:8004/v1/%(tenant_id)s".format(namespace) }}
{% endif %}
  region:
    name: {{ crd_spec.region.name }}
    {% if crd_spec.region.parent %}parent: {{ crd_spec.region.parent }}{% endif %}